### 7.8.10 rightstd (letterplace)

`Syntax:`
  `rightstd(` ideal_expression`)`; `rightstd(` module_expression`)`;
`Type:`
  ideal or module
`Purpose:`
  Compute a right Groebner basis of the set of generators of the input ideal/module.
`Note:`
  It is also effective in factor rings.
`Example:`

      LIB "freegb.lib";
      ring r = 0,(x,z),dp;
      ring R = freeAlgebra(r,7);
      ideal I = z, x*z, x*x*z;
      rightstd(I); // a right GB of I in K<x,z>
      ==> _[1]=z
      ==> _[2]=x*z
      ==> _[3]=x*x*z
      qring Q = twostd(x*z); // now we change to the factor algebra modulo x*z
      ideal I = imap(R,I);
      rightstd(I); // a right GB in a factor algebra
      ==> _[1]=z
      reduce(I,twostd(0)); // an explanation for the latter
      ==> _[1]=z
      ==> _[2]=0
      ==> _[3]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.